curl --request POST \
--url https://api.dooki.com.br/v2/{alias}/catalog/feeds \
--header 'Content-Type: application/json' \
--header 'User-Secret-Key: <api-key>' \
--header 'User-Token: <api-key>' \
--data '
{
"service": "google",
"name": "ecd73150-e747-11e7-9221-0361c8d4d388",
"url": "https://bubbstore.com/xml/ecd73150-e747-11e7-9221-0361c8d4d388.xml"
}
'import requests
url = "https://api.dooki.com.br/v2/{alias}/catalog/feeds"
payload = {
"service": "google",
"name": "ecd73150-e747-11e7-9221-0361c8d4d388",
"url": "https://bubbstore.com/xml/ecd73150-e747-11e7-9221-0361c8d4d388.xml"
}
headers = {
"User-Token": "<api-key>",
"User-Secret-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'User-Token': '<api-key>',
'User-Secret-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
service: 'google',
name: 'ecd73150-e747-11e7-9221-0361c8d4d388',
url: 'https://bubbstore.com/xml/ecd73150-e747-11e7-9221-0361c8d4d388.xml'
})
};
fetch('https://api.dooki.com.br/v2/{alias}/catalog/feeds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"collection_id": 123,
"service": "google",
"name": "ecd73150-e747-11e7-9221-0361c8d4d388",
"url": "https://bubbstore.com/xml/file-name.xml"
}Criar feed
Cria um novo feed de catálogo
Path Parameters
Alias da loja
Body
Representa os dados necessários para criar ou atualizar um feed
Serviço externo de destino do feed (ex.: google, para o Google Shopping).
"google"
Nome de identificação do feed, entre 3 e 255 caracteres.
"ecd73150-e747-11e7-9221-0361c8d4d388"
URL do arquivo XML gerado com os produtos do feed.
"https://bubbstore.com/xml/ecd73150-e747-11e7-9221-0361c8d4d388.xml"
Response
Feed criado com sucesso
Representa um feed do catálogo
ID do feed.
ID da coleção que define os produtos do feed; sem coleção, o feed cobre todo o catálogo.
Serviço externo de destino do feed (ex.: google, para o Google Shopping).
"google"
Nome de identificação do feed.
"ecd73150-e747-11e7-9221-0361c8d4d388"
URL do arquivo XML gerado com os produtos do feed.
"https://bubbstore.com/xml/file-name.xml"
Was this page helpful?